Subject: bug#37899: [feature request] Add a command to stop edebugging.

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 24 Oct 2019 13:44:16 +0200

HaiJun Zhang <[email-masked]> writes:

> I edebug(use edebug-defun) some functions in file.el and then close
> file.el. When I open a new file, emacs aborts and show a buffer with
> edebug error(It can’t find the original source buffer to debug).
>
> And I even can’t quit emacs because there are functions in kill-emacs-hook
> which try to open file and save data(such as recentf). 
>
> It will be good if there is a command to stop edebugging.

There is in Emacs 27 -- `M-x edebug-remove-instrumentation'.  Does this
do what you want to?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no